Bug report #18943

QGIS Server on MacOS X High Sierra

Added by Ronan L 6 months ago. Updated 25 days ago.

Status:Closed
Priority:Normal
Assignee:-
Category:mac_os_specific
Affected QGIS version:3.0.2 Regression?:No
Operating System:MacOS X Easy fix?:No
Pull Request or Patch supplied:No Resolution:up/downstream
Crashes QGIS or corrupts data:No

Description

QGIS Server shipped with QGIS 3.0.2 Mac cannot run due to multiple issue:

1- Apache on Mac OS High Sierra does not have mod_fcgid
2- /Applications/QGIS3.app/Contents/MacOS/fcgi-bin/qgis_mapserv.fcgi crash
/Applications/QGIS3.app/Contents/MacOS/fcgi-bin/qgis_mapserv.fcgi
This application failed to start because it could not find or load the Qt platform plugin "offscreen"
in "".

Reinstalling the application may fix this problem.
Abort trap: 6

History

#1 Updated by Denis Rouzaud 2 months ago

  • Category changed from QGIS Server to mac_os_specific

#2 Updated by Denis Rouzaud about 1 month ago

apparently mac ports has issues with mod_fcgi. Is this the way you installed QGIS?
see https://stackoverflow.com/questions/7303134/installing-php-fcgi-and-apache-with-worker-mpm-on-mac-osx-using-macport

#3 Updated by Giovanni Manghi about 1 month ago

  • Status changed from Open to Feedback

#4 Updated by Denis Rouzaud 25 days ago

  • Resolution set to up/downstream
  • Status changed from Feedback to Closed

feel free to reopen if needed

Also available in: Atom PDF